# Next Terminal

[![Docker guacd build](https://github.com/dushixiang/next-terminal/actions/workflows/docker-guacd.yml/badge.svg)](https://github.com/dushixiang/next-terminal/actions/workflows/docker-guacd.yml)
[![Docker next-terminal build](https://github.com/dushixiang/next-terminal/actions/workflows/docker-next-terminal.yml/badge.svg)](https://github.com/dushixiang/next-terminal/actions/workflows/docker-next-terminal.yml)

## 快速了解

Next Terminal是一个简单好用安全的开源交互审计系统，支持RDP、SSH、VNC、Telnet、Kubernetes协议。

目前支持的功能有：

- 授权凭证管理
- 资产管理（支持RDP、SSH、VNC、TELNET协议）
- 指令管理
- 批量执行命令
- 在线会话管理（监控、强制断开）
- 离线会话管理（查看录屏）
- 双因素认证
- 资产标签
- 资产授权
- 多用户&用户分组
- 计划任务
- ssh server
- 登录策略
- 系统监控

## 在线体验

**web**

https://next.typesafe.cn/ 账号：test  密码：test

**ssh server**

主机：next.typesafe.cn
端口：2022
账号：test  密码：test

## 协议与条款

如您需要在企业网络中使用 next-terminal，建议先征求 IT 管理员的同意。下载、使用或分发 next-terminal 前，您必须同意 [协议](./LICENSE) 条款与限制。本项目不提供任何担保，亦不承担任何责任。

## 快速安装

- [安装文档](https://next-terminal.typesafe.cn)

默认账号密码为 admin/admin 。

## 手动编译

1. 找一台Linux 机器或者Mac
2. 安装 go 1.18 或以上版本
3. 安装 nodejs 16，安装 npm 或 yarn
4. 进入 web 目录 执行 yarn install 或 npm install
5. 返回上级目录，也就是项目根目录，执行 sh build.sh

## 问题反馈

- Issues
- 微信群 加我微信拉你进群 (请备注 next-terminal)

<img src="wx.png" width="300"  height="auto"/>

- QQ群 938145268
- Telegram https://t.me/next_terminal

## 安全问题

如果您在使用过程中发现了安全问题，请发送邮件至 helloworld1024@foxmail.com 联系我，谢谢。

## License 

Next Terminal 使用 [AGPL-3.0](./LICENSE) 开源协议，请自觉遵守。

## 赞助支持

如果你觉得 `next-terminal` 这款程序还不错，并且想要购买服务器，可以从这里点击购买腾讯云服务器。

- 【腾讯云】双十一同价！云服务器等爆品抢先购，低至4.2元/月
  https://cloud.tencent.com/act/cps/redirect?redirect=2446&cps_key=fe4fb1b1f00810fb1cc94528441d0df1&from=console
- 【腾讯云】领 11111元代金券大礼包，购后抽奖100%中奖，开团冲榜赢iPhone 14 Pro
  https://cloud.tencent.com/act/cps/redirect?redirect=2853&cps_key=fe4fb1b1f00810fb1cc94528441d0df1&from=console
- 【腾讯云】11.11 特惠购，CDN 0.02元/GB起，短信0.029元/条起，直播/点播/TRTC/IM等套餐包0.1折起，更有云呼叫中心/媒体处理/视频播放License等新品1元起
  https://cloud.tencent.com/act/cps/redirect?redirect=3045&cps_key=fe4fb1b1f00810fb1cc94528441d0df1&from=console
- 【腾讯云】爆款云服务器限时体验20元起，更多上云必备产品低至1元
  https://cloud.tencent.com/act/cps/redirect?redirect=2496&cps_key=fe4fb1b1f00810fb1cc94528441d0df1&from=console
- 【腾讯云】网络产品专场特惠，流量包1分钱起，负载均衡7.3折起，最高可领299元NAT网关代金券，速来抢购
  https://cloud.tencent.com/act/cps/redirect?redirect=2089&cps_key=fe4fb1b1f00810fb1cc94528441d0df1&from=console
- 【腾讯云】推广者专属福利，新客户无门槛领取总价值高达2860元代金券，每种代金券限量500张，先到先得。
  https://cloud.tencent.com/act/cps/redirect?redirect=1040&cps_key=fe4fb1b1f00810fb1cc94528441d0df1&from=console
- 【腾讯云】腾讯云图，像PPT一样简单的数据可视化工具。5元搞定数据可视化，模板丰富，拖拖拽拽就能做出好看的可视化大屏。
  https://cloud.tencent.com/act/cps/redirect?redirect=1046&cps_key=fe4fb1b1f00810fb1cc94528441d0df1&from=console
- 【腾讯云】视频通信爆款 9.9 元起， 提供电商、教育、社交娱乐等多行业多场景的一站式解决方案，最快 1 天布局火爆赛道
  https://cloud.tencent.com/act/cps/redirect?redirect=1051&cps_key=fe4fb1b1f00810fb1cc94528441d0df1&from=console
- 【腾讯云】即时通信 IM 首购 1 折特惠，仅需99.9元/月，支持直播电商、在线教育等多种热门应用场景
  https://cloud.tencent.com/act/cps/redirect?redirect=1056&cps_key=fe4fb1b1f00810fb1cc94528441d0df1&from=console
- 【腾讯云】9.9元体验2万分钟实时音视频通话,支持1对1或多人音视频通话,单房可支持300人同时在线，10万人同时观看；全平台互通高品质通话
  https://cloud.tencent.com/act/cps/redirect?redirect=1057&cps_key=fe4fb1b1f00810fb1cc94528441d0df1&from=console
- 【腾讯云】云数据库MySQL基础版1元体验，为中小企业量身打造，单节点架构，保证数据可靠性
  https://cloud.tencent.com/act/cps/redirect?redirect=1034&cps_key=fe4fb1b1f00810fb1cc94528441d0df1&from=console
- 【腾讯云】专业版APP加固特惠5折起，可享免费兼容性测试
  https://cloud.tencent.com/act/cps/redirect?redirect=1037&cps_key=fe4fb1b1f00810fb1cc94528441d0df1&from=console
- 【腾讯云】中小企业福利专场，多款刚需产品，满足企业通用场景需求
  https://cloud.tencent.com/act/cps/redirect?redirect=1060&cps_key=fe4fb1b1f00810fb1cc94528441d0df1&from=console